## START: Set by rpmautospec
## (rpmautospec version 0.3.0)
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global __python %{__python3}
Name:           vulkan-headers
Version:        1.3.231.1
Release:        %autorelease
Summary:        Vulkan Header files and API registry

License:        ASL 2.0
URL:            https://github.com/KhronosGroup/Vulkan-Headers
Source0:        %url/archive/sdk-%{version}.tar.gz#/Vulkan-Headers-sdk-%{version}.tar.gz

BuildRequires:  cmake3
BuildArch:      noarch       

%description
Vulkan Header files and API registry

%prep
%autosetup -n Vulkan-Headers-sdk-%{version}


%build
%cmake3 -DCMAKE_INSTALL_LIBDIR=%{_libdir}
%cmake_build


%install
%cmake_install


%files
%license LICENSE.txt
%doc README.md
%{_includedir}/vulkan/
%{_includedir}/vk_video/
%dir %{_datadir}/vulkan/
%{_datadir}/vulkan/registry/


%changelog
* Wed Nov 09 2022 Dave Airlie <airlied@redhat.com> 1.3.231.1-1
- update vulkan headers to 1.3.231.1 SDK

* Tue Aug 23 2022 Dave Airlie <airlied@redhat.com> 1.3.224.0-1
- Update to 1.3.224.0 SDK release

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> 1.3.216.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Jun 16 2022 Dave Airlie <airlied@redhat.com> 1.3.216.0-1
- Update to 1.3.216.0 SDK release

* Wed Apr 27 2022 Dave Airlie <airlied@redhat.com> 1.3.211.0-2
- drop . in cmake to fix build

* Wed Apr 27 2022 Dave Airlie <airlied@redhat.com> 1.3.211.0-1
- Update to 1.3.211.0 SDK release

* Tue Feb 15 2022 Dave Airlie <airlied@redhat.com> 1.3.204.0-1
- Update to 1.3.204.0 SDK release

* Sat Jan 22 2022 Fedora Release Engineering <releng@fedoraproject.org> 1.2.198.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Nov 23 2021 Dave Airlie <airlied@redhat.com> 1.2.198.0-1
- Update to 1.2.198.0 upstream

* Tue Sep 07 2021 Dave Airlie <airlied@redhat.com> 1.2.189.0-1
- Update to 1.2.189.0 upstream

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> 1.2.182.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jul 06 2021 Dave Airlie <airlied@redhat.com> 1.2.182.0-1
- Update to 1.2.182.0 upstream

* Tue May 18 2021 Dave Airlie <airlied@redhat.com> 1.2.176.0-2
- add vk_video headers

* Tue May 18 2021 Dave Airlie <airlied@redhat.com> 1.2.176.0-1
- Update to 1.2.176.0 upstream

* Thu Jan 28 2021 Dave Airlie <airlied@redhat.com> 1.2.162.0-1
- Update to 1.2.162.0 upstream

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> 1.2.154.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Tue Nov 03 2020 Dave Airlie <airlied@redhat.com> 1.2.154.0-1
- Update to 1.2.154.0 headers

* Tue Aug 04 2020 Dave Airlie <airlied@redhat.com> 1.2.148.0-1
- Update to 1.2.148.0 headers

* Thu Jul 30 2020 Adam Jackson <ajax@redhat.com> 1.2.135.0-3
- Explicitly pass -C %%{_vpath_builddir} to fix F33's cmake

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> 1.2.135.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue Apr 21 2020 Dave Airlie <airlied@redhat.com> 1.2.135.0-1
- Update to 1.2.135.0 headers

* Tue Jan 28 2020 Dave Airlie <airlied@redhat.com> 1.2.131.1-1
- Update to 1.2.131.1 headers

* Tue Nov 12 2019 Dave Airlie <airlied@redhat.com> 1.1.126.0-1
- Update to 1.1.126.0 headers

* Mon Jul 29 2019 Dave Airlie <airlied@redhat.com> 1.1.114.0-1
- Update to 1.1.114.0 headers

* Sat Jul 27 2019 Fedora Release Engineering <releng@fedoraproject.org> 1.1.108.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Tue Jun 25 2019 Dave Airlie <airlied@redhat.com> 1.1.108.0-1
- Update to 1.1.108.0 headers

* Thu Apr 18 2019 Dave Airlie <airlied@redhat.com> 1.1.106.0-1
- Update to 1.1.106.0 headers

* Tue Mar 05 2019 Dave Airlie <airlied@redhat.com> 1.1.101.0-1
- Update to 1.1.101.0 headers

* Wed Feb 13 2019 Dave Airlie <airlied@redhat.com> 1.1.97.0-1
- Update to 1.1.97.0 headers

* Sun Feb 03 2019 Fedora Release Engineering <releng@fedoraproject.org> 1.1.92.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sun Dec 02 2018 Dave Airlie <airlied@redhat.com> 1.1.92.0-1
- Update to 1.1.92.0

* Sat Oct 20 2018 leigh123linux <leigh123linux@googlemail.com> 1.1.85.0-1
- Update to 1.1.85.0

* Tue Aug 07 2018 leigh123linux <leigh123linux@googlemail.com> 1.1.82.0-1
- Update to 1.1.82.0

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> 1.1.77.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Jun 27 2018 leigh123linux <leigh123linux@googlemail.com> 1.1.77.0-2
- readd lost readme

* Tue Jun 26 2018 leigh123linux <leigh123linux@googlemail.com> 1.1.77.0-1
- Initial import
